Skip to content

List of trashed articles ​

Articles

Fetches a paginated list of trashed articles. The result is sorted by last activity in descending order. Last activity is the time the article was last replied.

GET
/articles/trashed

Parameters​

Query Parameters

moderatorId*

ID of the moderator fetching the trashed article list

Type
string
Required
page

Selects the page to retrieve on paginated responses. Used in combination with the pageSize parameter to paginate over results

Type
integer
Default
1
Minimum
1
pageSize

Limits the number of items returned in a single paginated response. Used in combination with the page parameter to paginate over results

Type
integer
Default
25
Maximum
100
Minimum
1

Responses​

Successful response

application/json
JSON
{
  
"result": [
  
  
{
  
  
  
"id": "string",
  
  
  
"publicId": "string",
  
  
  
"title": "string",
  
  
  
"featuredImage": "string",
  
  
  
"featuredImageAltText": "string",
  
  
  
"publicLabel": "string",
  
  
  
"body": "string",
  
  
  
"author": {
  
  
  
  
"id": "7",
  
  
  
  
"username": "john-doe",
  
  
  
  
"customTitle": "awesome_user",
  
  
  
  
"signature": "awesome_user",
  
  
  
  
"avatar": "http://example.com/avatar123.jpg",
  
  
  
  
"reputation": {
  
  
  
  
  
"rank": "senior_replier",
  
  
  
  
  
"rankIcon": "http://example.com/rank-icon.jpg",
  
  
  
  
  
"rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg",
  
  
  
  
  
"likesReceived": 0,
  
  
  
  
  
"repliesMade": 0
  
  
  
  
}
  
  
  
},
  
  
  
"categoryId": "string",
  
  
  
"createdAt": "string",
  
  
  
"publishedAt": "string",
  
  
  
"lastActivityAt": "string",
  
  
  
"lastModifiedAt": "string",
  
  
  
"replyCount": 0,
  
  
  
"spamReplyCount": 0,
  
  
  
"pendingReplyCount": 0,
  
  
  
"totalReplyCount": 0,
  
  
  
"trashedReplyCount": 0,
  
  
  
"inclusiveReplyCount": 0,
  
  
  
"inclusiveVisibleReplyCount": 0,
  
  
  
"tags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"moderatorTags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"likedBy": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"sticky": true,
  
  
  
"closed": true,
  
  
  
"trashed": true,
  
  
  
"containsPoll": true,
  
  
  
"lastEdit": {
  
  
  
  
"id": "string",
  
  
  
  
"editor": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"editedAt": true
  
  
  
},
  
  
  
"status": "string",
  
  
  
"scheduledBy": {
  
  
  
  
"id": "string",
  
  
  
  
"username": "string",
  
  
  
  
"avatar": "string"
  
  
  
},
  
  
  
"scheduledAt": "string",
  
  
  
"poll": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"isPreviewPublic": true,
  
  
  
"seoCommunityUrl": "string",
  
  
  
"_links": {
  
  
  
  
"self": {
  
  
  
  
}
  
  
  
}
  
  
}
  
]
}

Samples​

Gainsight CC Developer Portal